MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027047Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-12-29 06:552016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027047: STEP -- eliminate useless polymorhic methods Init()
DescriptionMost of the classes representing STEP entities (in packages StepBasic, StepRepr, StepShape etc.) define methods Init() (intended to set their data) as virtual, and redefine corresponding method Init() inherited from the parent class, just calling that base method. This makes no sense. The only effect is that that method becomes visible in descendant, but it is incorrect to call it since it does not initialize all the fields.

Note that this problem is highlighted by CLang compiler warning, see 0025076.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0025076closedabv Community Hidden overloaded virtual functions 

-  Notes
(0049674)
git (administrator)
2015-12-29 18:59

Branch CR27047 has been created by abv.

SHA-1: 31e1befdf74d5374c9c02af821c2d348a6d92c76


Detailed log of new commits:

Author: abv
Date: Tue Dec 29 07:00:18 2015 +0300

    0027047: STEP -- eliminate useless polymorhic methods Init()
    
    Methods Init() in STEP data classes are made non-virtual, redundant variants just calling the same method of the base class are removed.
    A few places where removed method have been called are corrected.
(0049675)
git (administrator)
2015-12-29 22:59

Branch CR27047 has been updated forcibly by abv.

SHA-1: 3078312e8abf44bc42f1716df306674b7c9d19c0
(0049676)
abv (manager)
2015-12-30 06:53

Fix pushed to CR27047, please review. Note that non-trivial changes are made in StepAP209, StepAP242, and STEPCAFControl; all other changes are just removals of redundant Init() method and "virtual" keyword.
(0049824)
gka (developer)
2016-01-13 14:06

Branch CR27047 is ready to be tested
(0049836)
abv (manager)
2016-01-13 18:19

Alexey, this patch is already tested by Igor: it is part of branch CR0-IR-2016-01-11
(0052966)
git (administrator)
2016-04-17 13:46

Branch CR27047 has been deleted by kgv.

SHA-1: 3078312e8abf44bc42f1716df306674b7c9d19c0

- Related Changesets
occt: master 18f7c9a5
Timestamp: 2015-12-29 04:00:18
Author: abv
Committer: abv
Details ] Diff ]
0027047: STEP -- eliminate useless polymorhic methods Init()

Methods Init() in STEP data classes are made non-virtual, redundant variants just calling the same method of the base class are removed.
A few places where removed method have been called are corrected.
mod - src/StepAP209/StepAP209_Construct.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedApprovalAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedApprovalAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedDateAndTimeAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedDateAndTimeAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedDateAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedDateAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedOrganizationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedOrganizationAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedPersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedPersonAndOrganizationAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedPresentedItem.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedSecurityClassificationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AppliedSecurityClassificationAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignActualDateAndTimeAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignActualDateAndTimeAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignActualDateAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignActualDateAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignApprovalAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignApprovalAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignDateAndPersonAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignDateAndPersonAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignGroupAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignNominalDateAndTimeAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignNominalDateAndTimeAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignNominalDateAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignNominalDateAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignOrganizationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignOrganizationAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignPersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignPersonAndOrganizationAssignment.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignPresentedItem.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignSecurityClassificationAssignment.cxx Diff ] File ]
mod - src/StepAP214/StepAP214_AutoDesignSecurityClassificationAssignment.hxx Diff ] File ]
mod - src/StepAP242/StepAP242_IdAttribute.hxx Diff ] File ]
mod - src/StepAP242/StepAP242_ItemIdentifiedRepresentationUsage.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Address.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContext.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationContextElement.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApplicationProtocolDefinition.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Approval.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalPersonOrganization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRelationship.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ApprovalStatus.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CalendarDate.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_CalendarDate.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndLengthUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndLengthUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndMassUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndMassUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndPlaneAngleUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndPlaneAngleUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndRatioUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndRatioUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndSolidAngleUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndSolidAngleUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndTimeUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ConversionBasedUnitAndTimeUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_CoordinatedUniversalTimeOffset.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Date.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTime.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAndTimeAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DateTimeRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_DimensionalExponents.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_LocalTime.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_MeasureWithUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_NamedUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrdinalDate.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrdinalDate.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Organization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationalAddress.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationalAddress.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_OrganizationRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Person.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonalAddress.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonalAddress.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganization.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_PersonAndOrganizationRole.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_Product.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductCategory.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductContext.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductContext.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinition.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionContext.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionContext.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormation.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormationWithSpecifiedSource.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductDefinitionFormationWithSpecifiedSource.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductRelatedProductCategory.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_ProductRelatedProductCategory.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassification.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationAssignment.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SecurityClassificationLevel.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndAreaUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndAreaUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndLengthUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndLengthUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndMassUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndMassUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndPlaneAngleUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndPlaneAngleUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndRatioUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndRatioUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndSolidAngleUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndSolidAngleUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndThermodynamicTemperatureUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndThermodynamicTemperatureUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndTimeUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndTimeUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndVolumeUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnitAndVolumeUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_UncertaintyMeasureWithUnit.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_UncertaintyMeasureWithUnit.hxx Diff ] File ]
mod - src/StepBasic/StepBasic_WeekOfYearAndDayDate.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_WeekOfYearAndDayDate.hxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ExternRefs.cxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_RunoutZoneOrientation.hxx Diff ] File ]
mod - src/StepDimTol/StepDimTol_ToleranceZoneForm.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis1Placement.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis1Placement.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis2Placement2d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis2Placement2d.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis2Placement3d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Axis2Placement3d.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BezierCurveAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BezierCurveAndRationalBSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BezierSurfaceAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BezierSurfaceAndRationalBSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurveWithKnots.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurveWithKnots.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurfaceWithKnots.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurfaceWithKnots.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianPoint.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianPoint.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianTransformationOperator.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianTransformationOperator.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianTransformationOperator3d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CartesianTransformationOperator3d.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Circle.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Circle.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CompositeCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CompositeCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CompositeCurveSegment.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Conic.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Conic.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_ConicalSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_ConicalSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CurveReplica.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CurveReplica.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_CylindricalSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_CylindricalSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_DegeneratePcurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_DegeneratePcurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_DegenerateToroidalSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_DegenerateToroidalSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Direction.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Direction.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_ElementarySurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_ElementarySurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Ellipse.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Ellipse.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_EvaluatedDegeneratePcurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_EvaluatedDegeneratePcurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContext.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContext.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContextAndGlobalUnitAssignedContext.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContextAndGlobalUnitAssignedContext.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContextAndParametricRepresentationContext.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeometricRepresentationContextAndParametricRepresentationContext.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeomRepContextAndGlobUnitAssCtxAndGlobUncertaintyAssCtx.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_GeomRepContextAndGlobUnitAssCtxAndGlobUncertaintyAssCtx.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Hyperbola.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Hyperbola.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Line.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Line.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_OffsetCurve3d.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_OffsetCurve3d.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_OffsetSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_OffsetSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Parabola.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Parabola.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Pcurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Pcurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Placement.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Placement.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointOnCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointOnCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointOnSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointOnSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointReplica.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_PointReplica.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Polyline.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Polyline.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_QuasiUniformCurveAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_QuasiUniformCurveAndRationalBSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_QuasiUniformSurfaceAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_QuasiUniformSurfaceAndRationalBSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_RationalBSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_RationalBSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_RationalBSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_RationalBSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_RectangularCompositeSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_RectangularCompositeSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_RectangularTrimmedSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_RectangularTrimmedSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_ReparametrisedCompositeCurveSegment.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_ReparametrisedCompositeCurveSegment.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SphericalSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SphericalSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceOfLinearExtrusion.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceOfRevolution.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceOfRevolution.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfacePatch.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceReplica.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SurfaceReplica.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_SweptSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_SweptSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_ToroidalSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_ToroidalSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_TrimmedCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_TrimmedCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_UniformCurveAndRationalBSplineCurve.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_UniformCurveAndRationalBSplineCurve.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_UniformSurfaceAndRationalBSplineSurface.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_UniformSurfaceAndRationalBSplineSurface.hxx Diff ] File ]
mod - src/StepGeom/StepGeom_Vector.cxx Diff ] File ]
mod - src/StepGeom/StepGeom_Vector.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_DescriptiveRepresentationItem.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_DescriptiveRepresentationItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_FunctionallyDefinedTransformation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_GlobalUncertaintyAssignedContext.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_GlobalUncertaintyAssignedContext.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_GlobalUnitAssignedContext.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_GlobalUnitAssignedContext.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_IntegerRepresentationItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_MappedItem.cxx Diff ] File ]
mod - src/StepRepr/StepRepr_MappedItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_Representation.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationContext.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationItem.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationMap.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_RepresentationRelationship.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ShapeAspect.hxx Diff ] File ]
mod - src/StepRepr/StepRepr_ValueRepresentationItem.hxx Diff ] File ]
mod - src/StepShape/StepShape_Block.cxx Diff ] File ]
mod - src/StepShape/StepShape_Block.hxx Diff ] File ]
mod - src/StepShape/StepShape_BooleanResult.cxx Diff ] File ]
mod - src/StepShape/StepShape_BooleanResult.hxx Diff ] File ]
mod - src/StepShape/StepShape_BoxDomain.hxx Diff ] File ]
mod - src/StepShape/StepShape_BoxedHalfSpace.cxx Diff ] File ]
mod - src/StepShape/StepShape_BoxedHalfSpace.hxx Diff ] File ]
mod - src/StepShape/StepShape_BrepWithVoids.cxx Diff ] File ]
mod - src/StepShape/StepShape_BrepWithVoids.hxx Diff ] File ]
mod - src/StepShape/StepShape_ConnectedFaceSet.cxx Diff ] File ]
mod - src/StepShape/StepShape_ConnectedFaceSet.hxx Diff ] File ]
mod - src/StepShape/StepShape_CsgSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_CsgSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_Edge.cxx Diff ] File ]
mod - src/StepShape/StepShape_Edge.hxx Diff ] File ]
mod - src/StepShape/StepShape_EdgeCurve.cxx Diff ] File ]
mod - src/StepShape/StepShape_EdgeCurve.hxx Diff ] File ]
mod - src/StepShape/StepShape_EdgeLoop.cxx Diff ] File ]
mod - src/StepShape/StepShape_EdgeLoop.hxx Diff ] File ]
mod - src/StepShape/StepShape_ExtrudedAreaSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_ExtrudedAreaSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_ExtrudedFaceSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_ExtrudedFaceSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_Face.cxx Diff ] File ]
mod - src/StepShape/StepShape_Face.hxx Diff ] File ]
mod - src/StepShape/StepShape_FaceBound.cxx Diff ] File ]
mod - src/StepShape/StepShape_FaceBound.hxx Diff ] File ]
mod - src/StepShape/StepShape_FaceSurface.cxx Diff ] File ]
mod - src/StepShape/StepShape_FaceSurface.hxx Diff ] File ]
mod - src/StepShape/StepShape_FacetedBrepAndBrepWithVoids.cxx Diff ] File ]
mod - src/StepShape/StepShape_FacetedBrepAndBrepWithVoids.hxx Diff ] File ]
mod - src/StepShape/StepShape_GeometricSet.cxx Diff ] File ]
mod - src/StepShape/StepShape_GeometricSet.hxx Diff ] File ]
mod - src/StepShape/StepShape_HalfSpaceSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_HalfSpaceSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_LoopAndPath.cxx Diff ] File ]
mod - src/StepShape/StepShape_LoopAndPath.hxx Diff ] File ]
mod - src/StepShape/StepShape_ManifoldSolidBrep.cxx Diff ] File ]
mod - src/StepShape/StepShape_ManifoldSolidBrep.hxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedClosedShell.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedClosedShell.hxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedEdge.hxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedFace.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedFace.hxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedOpenShell.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedOpenShell.hxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedPath.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedPath.hxx Diff ] File ]
mod - src/StepShape/StepShape_Path.cxx Diff ] File ]
mod - src/StepShape/StepShape_Path.hxx Diff ] File ]
mod - src/StepShape/StepShape_PolyLoop.cxx Diff ] File ]
mod - src/StepShape/StepShape_PolyLoop.hxx Diff ] File ]
mod - src/StepShape/StepShape_RevolvedAreaSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_RevolvedAreaSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_RevolvedFaceSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_RightAngularWedge.cxx Diff ] File ]
mod - src/StepShape/StepShape_RightAngularWedge.hxx Diff ] File ]
mod - src/StepShape/StepShape_RightCircularCone.cxx Diff ] File ]
mod - src/StepShape/StepShape_RightCircularCone.hxx Diff ] File ]
mod - src/StepShape/StepShape_RightCircularCylinder.cxx Diff ] File ]
mod - src/StepShape/StepShape_RightCircularCylinder.hxx Diff ] File ]
mod - src/StepShape/StepShape_ShapeDimensionRepresentation.hxx Diff ] File ]
mod - src/StepShape/StepShape_ShellBasedSurfaceModel.cxx Diff ] File ]
mod - src/StepShape/StepShape_ShellBasedSurfaceModel.hxx Diff ] File ]
mod - src/StepShape/StepShape_SolidReplica.cxx Diff ] File ]
mod - src/StepShape/StepShape_SolidReplica.hxx Diff ] File ]
mod - src/StepShape/StepShape_Sphere.cxx Diff ] File ]
mod - src/StepShape/StepShape_Sphere.hxx Diff ] File ]
mod - src/StepShape/StepShape_SweptAreaSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_SweptAreaSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_SweptFaceSolid.cxx Diff ] File ]
mod - src/StepShape/StepShape_SweptFaceSolid.hxx Diff ] File ]
mod - src/StepShape/StepShape_Torus.cxx Diff ] File ]
mod - src/StepShape/StepShape_Torus.hxx Diff ] File ]
mod - src/StepShape/StepShape_ValueFormatTypeQualifier.hxx Diff ] File ]
mod - src/StepShape/StepShape_VertexLoop.cxx Diff ] File ]
mod - src/StepShape/StepShape_VertexLoop.hxx Diff ] File ]
mod - src/StepShape/StepShape_VertexPoint.cxx Diff ] File ]
mod - src/StepShape/StepShape_VertexPoint.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_AreaInSet.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_BackgroundColour.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CameraModelD2.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CameraModelD2.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CameraModelD3.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CameraModelD3.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ColourRgb.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_ColourRgb.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ColourSpecification.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CompositeText.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CompositeText.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CompositeTextWithExtent.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_CompositeTextWithExtent.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentInvisibility.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentInvisibility.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentOverRidingStyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_ContextDependentOverRidingStyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFont.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_CurveStyleFontPattern.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyleColour.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_Invisibility.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_OverRidingStyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_OverRidingStyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PlanarBox.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PlanarBox.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PlanarExtent.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PlanarExtent.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PointStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PreDefinedItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationLayerAssignment.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationSize.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleAssignment.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleByContext.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_PresentationStyleByContext.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_StyledItem.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_StyledItem.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceSideStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleBoundary.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleControlGrid.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleFillArea.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleParameterLine.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSegmentationCurve.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleSilhouette.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_SurfaceStyleUsage.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextLiteral.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextLiteral.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyle.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyleForDefinedFont.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyleWithBoxCharacteristics.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_TextStyleWithBoxCharacteristics.hxx Diff ] File ]
mod - src/StepVisual/StepVisual_ViewVolume.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-29 06:55 abv New Issue
2015-12-29 06:55 abv Assigned To => gka
2015-12-29 18:59 git Note Added: 0049674
2015-12-29 22:59 git Note Added: 0049675
2015-12-30 06:53 abv Note Added: 0049676
2015-12-30 06:53 abv Status new => resolved
2015-12-30 06:53 abv Steps to Reproduce Updated View Revisions
2016-01-08 19:12 abv Relationship added child of 0025076
2016-01-13 14:06 gka Note Added: 0049824
2016-01-13 14:06 gka Assigned To gka => bugmaster
2016-01-13 14:06 gka Status resolved => reviewed
2016-01-13 14:31 apv Assigned To bugmaster => apv
2016-01-13 18:19 abv Note Added: 0049836
2016-01-13 18:34 apv Assigned To apv => bugmaster
2016-01-14 11:46 bugmaster Status reviewed => tested
2016-01-15 16:57 abv Changeset attached => occt master 18f7c9a5
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status tested => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-01-22 12:27 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 13:46 git Note Added: 0052966
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker